Afgelopen donderdag is de nieuwe WordPress versie 5.0 gelanceerd. Dit is geen gewone update, maar de lang verwachte versie met de nieuwe Gutenberg editor.

De afgelopen dagen zijn er een aantal vragen bij ons binnen gekomen betreffende deze update. Vandaar dat we in deze blog even een paar zaken willen verduidelijken zodat je een betere beslissing kan maken.

Wat is het verschil met de oude versie?

Waar de ‘oude’ editor werkt als een soort tekstverwerker – met dus ook de focus op tekst – werkt de nieuwe Gutenberg editor met blokken. Zo is er een tekst-blok, een afbeelding-blok, etc.

 

Dit biedt op zich meer mogelijkheden om met de standaard WordPress eenvoudiger een mooie lay-out te maken. De meeste professionele websites maken echter gebruik van een aangepast Thema of speciale Page-Builder om pagina’s vorm te geven. Het gevaar bestaat dus dat deze in elkaars vaarwater terecht gaan komen!

Let Op! … De nieuwe editor is NIET backward compatibel, dus deze werkt niet met Thema’s en Plug-ins die niet speciaal hiervoor gemaakt zijn!!!

Ons advies: wacht met updaten tot de volgende release in januari

Ondanks dat de nieuwe versie al een tijd aangekondigd is, merken we dat vele Thema- en Plug-in developers nog niet klaar zijn voor de omschakeling naar de nieuwe Gutenberg editor. Daar komt nog eens bij dat we nu net voor de feestdagen zitten, waarbij er meer mensen niet beschikbaar zijn wegens vakantie , dus mogelijke problemen ook minder snel opgelost zullen worden.

Ga je toch al updaten, let dan op het volgende:

  • Maak allereerst een back-up van je website, hiervoor zijn diverse online tools en Plug-ins beschikbaar. Denk bijvoorbeeld aan Duplicator, All-in-one-migration of BackupBuddy.
  • Maak een kopie van je website om eerst te testen of alles nog wel goed werkt na de update. Dit wordt ook wel een ‘staging-omgeving’ genoemd. Een aantal web-hosts geven de optie om dit automatisch te maken.
  • Update eerst alle Plug-ins en Thema’s voordat je de WordPress update doet!

Wel updaten naar WordPress 5.0 en toch de ‘oude’ editor gebruiken?

 

Dat kan absoluut… Er kunnen verschillende redenen zijn waarom je nog niet van de nieuwe editor gebruik wil maken. Misschien vind je het niet prettig werken, of werkt deze niet goed samen met je Thema, Plug-in of Page-Builder!

Installeer de ‘Classic Editor’, je vindt deze in de WordPress repository, dus ga naar Plug-ins, Nieuwe toevoegen en zoek op Classic Editor. Volledigheidshalve hier ook de directe link: https://wordpress.org/plugins/classic-editor/

Nog vragen? Of hulp nodig? … Contacteer ons gerust via het contactformulier of stuur een mail naar info@amigoweb.be